@import '../../../../styles/mixins';
@import '../../../../styles/props';

:host {
  @include fullScreen;
  position: fixed;
  display: block;
}

// side cover
.app-side-cover {
  @include fullScreen;
  position: absolute;
  background-color: rgba($eclipse, 0.3);
}

// side content
.app-side-content {
  @include topRight;
  @include flex(null, null, column);
  position: absolute;
  width: 220px;
  height: 100%;
  background-color: $white;
  box-shadow: 0 1px 15px rgba($black, 0.08);
  flex-wrap: nowrap;

  // close icon
  app-icon-close {
    position: absolute;
    top: 11px;
    right: 20px;
    cursor: pointer;
    user-select: none;

    &:hover {
      opacity: 0.8;
    }
  }
}

@media (max-width: 767px) {
  // side content
  .app-side-content {
    width: 100%;
  }
}
